# wakeup()

Called before `loop()` when waking up from sleep, and includes procedures for initialization after returning from sleep and for branching processing depending on the state of return.

{% hint style="info" %}
If there is no processing in `loop()` but only reading of sensors, etc., sleep can be performed again in this function.
{% endhint %}

{% hint style="info" %}
This callback function definition is optional.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mwx.twelite.info/latest_en/api-reference/sys_callbacks/wakeup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
